@echo off
:: TraceCtl.cmd Trace loop control

:: Copyright (c) 2001 Steven Levine and Associates, Inc.
:: All rights reserved.

rem $TLIB$: $ &(#) %n - Ver %v, %f $
rem TLIB: $ $

:: Revisions    26 Nov 01 SHL - Release
::		05 Dec 01 SHL - Consisten naming

:: Assume other code has defined trace buffer and
:: set up trace controls
::   BOOTDRV	Boot drive
::   TRCEXE	Short executable name (i.e. grep.exe)
::   TRCEXEPATH	Full path to executable (i.i. d:\bin2\grep.exe)

setlocal

if "BOOTDRV" == "" set BOOTDRV=f:

:: Need to run from boot drive for trace on kernel, so run from trace dir
:: Replace f: with boot drive letter.
%BOOTDRV%
cd \os2\system\trace

:: Check trace initialized
echo trace /q
trace /q
iff errorlevel = 1055 then
  echo Trace not initialized
  goto end
endiff

:: Clear trace buffer
trace /c

echo Use Ctrl-C to quit

:loop

if "%TRCEXEPATH%" == "" goto resume

  pstat | grep -i %TRCEXEPATH% >nul
  if errorlevel 1 echo Warning: %TRCEXEPATH% not running

:resume

echo on
trace /r
@echo off

pause Tracing resumed, press enter to suspend...
trace /s

pstat | grep -i tracefmt.exe >nul
if not errorlevel 1 goto pause

  start tracefmt

:pause
pause Trace suspended, press enter to restart...

goto loop

:end

quit
